Name:		nip2
Version:	7.28.5
Release:	1%{?dist}
Summary:	Interactive tool for working with large images

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://www.vips.ecs.soton.ac.uk/
Source0:	http://www.vips.ecs.soton.ac.uk/supported/7.28/%{name}-%{version}.tar.gz
Patch0:		nip2-7.20.7-guidedir.patch

BuildRequires:	pkgconfig(vips-7.28)
BuildRequires:	pkgconfig(gtk+-2.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(libgoffice-0.8)
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(libgvc)
BuildRequires:	pkgconfig(gsl)
BuildRequires:	shared-mime-info gnome-icon-theme
BuildRequires:	flex bison intltool gettext
BuildRequires:	desktop-file-utils xdg-utils


# description taken from Debian package
%description
nip2 is a graphical front end to the VIPS package.
With nip2, rather than directly editing images, you build
relationships between objects in a spreadsheet-like fashion. When you
make a change somewhere, nip2 recalculates the objects affected by
that change. Since it is demand-driven this update is very fast, even
for very, very large images. nip2 is very good at creating pipelines
of image manipulation operations. It is not very good for image
editing tasks like touching up photographs. For that, a tool like the
GIMP should be used instead.


%prep
%setup -q

# fix location of help in program to look in correct path
%patch0 -p1 -b .guidedir

# CVS dirs
find . -name CVS -type d -print0 | xargs -0 rm -rf

%build
%configure --disable-update-desktop
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT

# delete doc (we will get it later)
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/nip2

# the nip2 post install hook seems to run update-mime-database, but we
# need to run it in post
rm -rf $RPM_BUILD_ROOT%{_datadir}/mime
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
cp -a nip2.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages

# locale stuff
%find_lang nip2

# icon
install -d $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
cp -a share/nip2/data/vips-128.png	\
	$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/nip2.png

# desktop file
desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop


%post
# scriptlet for icons
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

# scriptlet for desktop database
update-desktop-database &> /dev/null || :

# MIME
update-mime-database %{_datadir}/mime &> /dev/null || :


%postun
# scriptlet for icons
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

# scriptlet for desktop database
update-desktop-database &> /dev/null || :

# MIME
update-mime-database %{_datadir}/mime &> /dev/null || :


%files -f nip2.lang
%doc doc/html doc/pdf AUTHORS ChangeLog COPYING NEWS THANKS TODO
%{_bindir}/nip2
%{_bindir}/run-nip2.sh
%{_datadir}/nip2
%{_mandir}/man1/nip2.1.gz
%{_datadir}/icons/hicolor/*/apps/*
%{_datadir}/applications/*
%{_datadir}/mime/packages/nip2.xml


%changelog
* Mon Oct 15 2012 Benjamin Gilbert <bgilbert@backtick.net> - 7.28.5-1
- New release
- Switch back to goffice 0.8 for gtk2

* Fri Apr 13 2012 Tom Callaway <spot@fedoraproject.org> - 7.28.1-1
- update to 7.28.1

* Mon Jan 16 2012 Adam Goode <adam@spicenitz.org> - 7.26.4-1
- New upstream release (better error messages for print-main)
- Fix goffice requirement

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.26.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 7.26.3-2
- Rebuild for new libpng

* Sat Sep  3 2011 Adam Goode <adam@spicenitz.org> - 7.26.3-1
- New upstream release
    + New operations
    + Faster!

* Fri Aug 12 2011 Adam Goode <adam@spicenitz.org> - 7.24.2-1
- New upstream release
    + Workspace as Graph mode
    + Better nibs in paintbox

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.22.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Sep 29 2010 jkeating - 7.22.2-3
- Rebuilt for gcc bug 634757

* Mon Sep 20 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 7.22.2-2
- rebuild for new ImageMagick

* Fri Aug  6 2010 Adam Goode <adam@spicenitz.org> - 7.22.2-1
- New upstream release
    + New image repaint system
    + Many improvements from new VIPS
- Use upstream desktop file

* Mon Mar  8 2010 Adam Goode <adam@spicenitz.org> - 7.20.7-4
- Rebuild for imagemagick soname change
- Remove some old RPM stuff

* Sat Feb 27 2010 Adam Goode <adam@spicenitz.org> - 7.20.7-3
- Rebuild for goffice soname change

* Thu Jan  7 2010 Adam Goode <adam@spicenitz.org> - 7.20.7-2
- Enable goffice for charts
- Update desktop file

* Wed Jan  6 2010 Adam Goode <adam@spicenitz.org> - 7.20.7-1
- New upstream release
    + Faster image painting
    + Better progress feedback
    + GOffice now used to draw charts
    + Support for newer GTK+ features

* Fri Sep  4 2009 Milos Jakubicek <xjakub@fi.muni.cz> - 7.18.2-1
- Fix FTBFS: update to 7.18.2, added nip2-7.18.2-gtk.patch to build with gtk >= 2.17

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.16.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 10 2009 Adam Goode <adam@spicenitz.org> - 7.16.4-3
- Rebuild for ImageMagick soname change

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.16.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 29 2008 Adam Goode <adam@spicenitz.org> - 7.16.4-1
- New release
- Drop upstreamed flex patch

* Sat Dec 27 2008 Adam Goode <adam@spicenitz.org> - 7.16.3-3
- Fix build problem related to flex

* Mon Dec 22 2008 Adam Goode <adam@spicenitz.org> - 7.16.3-2
- Add gsl-devel and xdg-utils to build requires

* Sun Dec 21 2008 Adam Goode <adam@spicenitz.org> - 7.16.3-1
- New release
- Update description

* Sat Aug 30 2008 Adam Goode <adam@spicenitz.org> - 7.14.5-1
- New release
- RPM 4.6 fix for patch tag

* Sat Jun 21 2008 Adam Goode <adam@spicenitz.org> - 7.14.4-1
- New release

* Sat Mar 15 2008 Adam Goode <adam@spicenitz.org> - 7.14.1-1
- New release

* Mon Mar 10 2008 Adam Goode <adam@spicenitz.org> - 7.14.0-1
- New release

* Sat Feb  9 2008 Adam Goode <adam@spicenitz.org> - 7.12.5-4
- GCC 4.3 mass rebuild

* Wed Dec  5 2007 Adam Goode <adam@spicenitz.org> - 7.12.5-3
- Fix desktop file validation

* Tue Oct 16 2007 Adam Goode <adam@spicenitz.org> - 7.12.5-2
- Rebuild for OpenEXR soname change

* Fri Sep 21 2007 Adam Goode <adam@spicenitz.org> - 7.12.5-1
- New upstream release

* Thu Aug 16 2007 Adam Goode <adam@spicenitz.org> - 7.12.4-1
- New upstream release
- Update License tag

* Wed Jul 25 2007 Adam Goode <adam@spicenitz.org> - 7.12.2-1
- New stable release 7.12

* Sat May  5 2007 Adam Goode <adam@spicenitz.org> - 7.12.0-1
- New upstream release
- Update desktop file
- Remove X-Fedora category

* Thu Aug 31 2006 Adam Goode <adam@spicenitz.org> - 7.10.21-1
- New upstream release

* Sun Aug 13 2006 Adam Goode <adam@spicenitz.org> - 7.10.20-2
- Fix location of documentation in program so help works
- Semicolon-terminate Category entry in desktop file

* Sat Jul 22 2006 Adam Goode <adam@spicenitz.org> - 7.10.20-1
- New upstream release
- Updated for FC5

* Thu Jan 30 2003 John Cupitt <john.cupitt@ng-london.org.uk> 7.8.6-1
- first stab at an rpm package for nip
